BSON_ITER_OVERWRITE_OID(3)

NAME
bson_iter_overwrite_oid - bson_iter_overwrite_oid()

SYNOPSIS

void
bson_iter_overwrite_oid (bson_iter_t *iter, const bson_oid_t *value);

PARAMETERS

•   iter: A bson_iter_t.

•   oid: A bson_oid_t.

DESCRIPTION

The bson_iter_overwrite_oid() function shall overwrite the contents of a BSON_TYPE_OID element in place.

This may only be done when the underlying bson document allows mutation.

It is a programming error to call this function when iter is not observing an element of type BSON_TYPE_OID.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc